plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
}

android {
    compileSdk 31

    defaultConfig {
        minSdk 21
        targetSdk 27

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles "consumer-rules.pro"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }

    packagingOptions {
        pickFirst 'lib/armeabi-v7a/libc++_shared.so'

    }

}

dependencies {

    api 'androidx.core:core-ktx:1.8.0'
    api 'androidx.appcompat:appcompat:1.3.0'
    api 'com.google.android.material:material:1.4.0'

    api 'androidx.constraintlayout:constraintlayout:2.1.3'
    api "androidx.lifecycle:lifecycle-viewmodel-ktx:2.3.1"
    api "androidx.lifecycle:lifecycle-livedata-core-ktx:2.3.1"
    api 'com.alibaba:arouter-api:1.5.1'
    api "com.android.support:multidex:1.0.3"

    //retrofit
    api('com.squareup.retrofit2:retrofit:2.9.0')
    api('com.squareup.okhttp3:okhttp:4.9.0')
    api('com.squareup.okio:okio:2.9.0')
    api 'com.squareup.okhttp3:logging-interceptor:3.6.0'

    api('com.google.code.gson:gson:2.8.7')
    api "com.android.support:multidex:1.0.3"
    api 'com.tencent:mmkv-static:1.2.10'
    api 'com.yanzhenjie:permission:2.0.3'
    api 'androidx.fragment:fragment-ktx:1.3.2'
    api 'com.github.bumptech.glide:glide:4.12.0'
    api "com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.4"
    //适配刘海屏水滴屏等全面屏工具
    api 'com.github.smarxpan:NotchScreenTool:0.0.1'
    api 'cn.aigestudio.wheelpicker:WheelPicker:1.1.3'
    api "com.youth.banner:banner:2.1.0"
    //eventbus
    api 'org.greenrobot:eventbus:3.2.0'
    api 'androidx.databinding:databinding-runtime:4.2.2'
    api 'com.google.android.flexbox:flexbox:3.0.0'
    api 'com.github.princekin-f:EasyFloat:2.0.4'
    api 'de.hdodenhof:circleimageview:3.1.0'
    api 'com.tencent.bugly:crashreport:4.1.9'

    api 'androidx.room:room-common:2.4.3'
    api 'androidx.room:room-runtime:2.4.3'
    api 'com.github.eurigo:dexmakerhook:1.0'
    api 'com.blankj:utilcodex:1.31.0'
    api 'com.google.zxing:core:3.3.0'
//    api files('libs/android-serialport-2.1.2.aar')
    api project(path: ':foodlib:serialport')
    api files('libs/cofar-cooking-device-sdk-0.0.1-SNAPSHOT.jar')
    api files('libs/commons-lang3-3.12.0.jar')
    api files('libs/commons-beanutils-1.9.4.jar')
    api "android.arch.lifecycle:extensions:1.1.1"
    api 'com.github.azhon:AppUpdate:4.2.2'

    //换肤
    // 依赖的反射库
    api 'com.github.CoderAlee:Reflex:1.2.0'
    // 核心库
    api 'com.github.CoderAlee.PaintedSkin:standard-plugin:3.5.2.1'
    //如果项目中的ConstraintLayout需要换肤则引入
    api 'com.github.CoderAlee.PaintedSkin:constraintlayout-compat:3.5.2.1'
    // 需要替换字体库时引入
    api 'com.github.CoderAlee.PaintedSkin:typeface-plugin:3.5.2.1'
    api 'net.lingala.zip4j:zip4j:2.6.1'

    api project(path: ':foodlib:PaintedSkin')

    api 'com.tuya.smart:tuyasmart-iot_sdk:1.0.8-rc.1'
    api 'com.tencent.mars:mars-xlog:1.2.3'

    api 'com.github.liangjingkanji:Net:3.5.1'
}